function RelativeError = cRerror(gs,N,n)
% function RelativeError = cRerror(gs,N,n)
% Author - Deepti Pachauri 05/31/2013
% For a given N, n and syncronized matchings
% this function evaluates the accuracy. 
% Note - ground truth matchings are 1:n
% Input: 
% gs - cellarray where {i}{j} store the recovered matching % between image i and image j
% N - size of the dataset
% n - number of interest points in each instance
%
% Output - Normalized relative error
%-----------------------------------------

tau =[];
trueRelativePerm = [];
n_norm = [];
for i = 1:N
    for j = i+1:N
    tau = [tau; gs{i}{j}];
    trueRelativePerm = [trueRelativePerm;(1:n)];
    
    end
end

RelativeError = zeros(size(trueRelativePerm));
ind = find(trueRelativePerm-tau);
RelativeError(ind)=1;

RelativeError = sum(sum(RelativeError))/(size(RelativeError,1)*n);
